(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     21297,        467]
NotebookOptionsPosition[     21610,        459]
NotebookOutlinePosition[     22072,        479]
CellTagsIndexPosition[     22029,        476]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TabViewBox[{{1,"\<\"Welcome\"\>"->
  PanelBox[
   TagBox[GridBox[{
      {
       StyleBox["\<\"Periodic Properites\"\>",
        StripOnInput->False,
        FontSize->20,
        FontWeight->Bold]},
      {
       StyleBox["\<\"      This activity displays a variety of elemental \
properties in graphical format.  It uses Mathematica's FreeCDF application \
along with Wolfram's ElementData curated data set. The Activity tab contains \
the meat of this application.  It is designed to be intuitive, but I've \
included some tooltips for good measure.  The Example tab contains two \
exercises that hopefully help in introducing you to the activity and how it \
can be used.  Finally, the legal tab has links to the Licensing terms of the \
activity (simply put, feel free to use it in your classroom) as well as \
contact information should you have a concern, criticism or compliment.\"\>",
        StripOnInput->False,
        FontSize->14]},
      {
       StyleBox["\<\"Written by BoB LeSuer\"\>",
        StripOnInput->False,
        FontSize->14,
        FontWeight->Bold]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{2}}}],
    "Column"],
   ImageSize->{500, 800}]}, {2,"\<\"Example\"\>"->
  PanelBox[
   TagBox[GridBox[{
      {
       StyleBox["\<\"Sample Exercises\"\>",
        StripOnInput->False,
        FontSize->20,
        FontWeight->Bold]},
      {
       StyleBox["\<\"Exercise #1\\n(1) PREDICT what the plot of atomic radius \
versus atomic number will look like for the elements in the 4th row of the \
periodic table.\\n(2) On the Activity tab, make sure the \
\\!\\(\\*\\nStyleBox[\\\"Use\\\",\\nFontVariations->{\\\"Underline\\\"->True}]\
\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontVariations->{\\\"Underline\\\"->True}]\\)\\!\\(\\*\\nStyleBox[\\\"\
classes\\\",\\nFontVariations->{\\\"Underline\\\"->True}]\\) checkbox is \
selected in the Atom Selection pane, then select \
\\!\\(\\*\\nStyleBox[\\\"Period4elements\\\",\\nFontVariations->{\\\"\
Underline\\\"->True}]\\) from the class menu.\\n(3) Select \
\\!\\(\\*\\nStyleBox[\\\"AtomicNumber\\\",\\nFontVariations->{\\\"Underline\\\
\"->True}]\\) for the x parameter and \\!\\(\\*\\nStyleBox[\\\"AtomicRadius\\\
\",\\nFontVariations->{\\\"Underline\\\"->True}]\\) for the y \
parameter.\\n(4) DESCRIBE what you observe.  Was your prediction in step 1 \
correct?\\n(5) EXPLAIN the trend.  If you need help, look in a chemistry \
textbook for the shielding effect.  You can also do a web search on that \
topic.\"\>",
        StripOnInput->False,
        FontSize->14]},
      {
       StyleBox["\<\"Exercise #2\\n(1) PREDICT what the plot of atomic radius \
versus atomic number will look like for the elements in group 17: the \
halogens.\\n(2) On the Activity tab, change the selection in the class menu \
to halogen.\\n(3) DESCRIBE what you observe.  Was your prediction in step 1 \
correct?\\n(5) EXPLAIN the trend.  Can you combine the results from these two \
exercises to explain how the shielding effect influences the atomic radius?\"\
\>",
        StripOnInput->False,
        FontSize->14]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}},
     GridBoxDividers->{
      "Columns" -> {False, {True}, False}, "Rows" -> {False, {True}, False}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{1}}}],
    "Column"],
   ImageSize->500]}, {3,"\<\"Activity\"\>"->
  PanelBox[
   TagBox[
    StyleBox[
     DynamicModuleBox[{$CellContext`fit$$ = False, $CellContext`highz$$ = 
      102, $CellContext`lowz$$ = 1, $CellContext`plotrange$$ = 
      Automatic, $CellContext`pset$$ = True, $CellContext`useclasses$$ = 
      False, $CellContext`whichclass$$ = "Natural", $CellContext`xaxis$$ = 
      "AtomicNumber", $CellContext`xaxisfunction$$ = $CellContext`nofunc, \
$CellContext`yaxis$$ = 
      "AtomicWeight", $CellContext`yaxisfunction$$ = $CellContext`nofunc, 
      Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
      Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ =
       1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
        Hold[
         Tooltip[
          Style["Atom selection", 12, Bold], 
          "There are two modes of Z selection: select a Z range or use a \
class of compounds."]], Manipulate`Dump`ThisIsNotAControl}, {{
         Hold[$CellContext`useclasses$$], False, "Use Classes?"}, {
        True, False}}, {{
         Hold[$CellContext`lowz$$], 1, "Smallest Z"}, 1, 
        Dynamic[$CellContext`highz$$ - 5], 1}, {{
         Hold[$CellContext`highz$$], 102, "Largest Z"}, 
        Dynamic[$CellContext`lowz$$ + 5], 102, 1}, {{
         Hold[$CellContext`whichclass$$], "Natural", "Choose class"}, {
        "Natural", "SBlock", "PBlock", "DBlock", "FBlock", "AlkaliMetal", 
         "AlkalineEarthMetal", "Group13Elements", "Group14Elements", 
         "Group15Elements", "Chalcogen", "Halogen", "Period4Elements"}}, {
        Hold[
         Tooltip[
          Style["Miscellaneous", 12, Bold], 
          "Choose whether or not to include a linear regression line.  Also, \
when some plots have 1 or two extraneous points, the Automatic mode ignores \
them."]], Manipulate`Dump`ThisIsNotAControl}, {{
         Hold[$CellContext`fit$$], False, "Linear Fit?"}, {True, False}}, {{
         Hold[$CellContext`plotrange$$], Automatic, "Plot Range?"}, {
        Automatic, All}}, {
        Hold[
         Row[{
           Manipulate`Place[1], "     ", 
           Manipulate`Place[2]}]], Manipulate`Dump`ThisIsNotAControl}, {
        Hold[
         Tooltip[
          Style["Axis parameters and function to apply", 12, Bold], 
          "There are many parameters to choose from.  Unselecting 'Full \
parameter set' gives a list of 10 common parameters.  A log or inverse \
function can be applied to each axis.  Clicking on 'nofunc' gives the data as \
is."]], Manipulate`Dump`ThisIsNotAControl}, {{
         Hold[$CellContext`xaxis$$], "AtomicNumber", "X Parameter"}, 
        Dynamic[
         If[$CellContext`pset$$, $CellContext`properties, \
$CellContext`partproperties]]}, {{
         Hold[$CellContext`xaxisfunction$$], $CellContext`nofunc}, \
{$CellContext`nofunc, $CellContext`log, $CellContext`inverse}}, {{
         Hold[$CellContext`yaxis$$], "AtomicWeight", "Y Parameter"}, 
        Dynamic[
         If[$CellContext`pset$$, $CellContext`properties, \
$CellContext`partproperties]]}, {{
         Hold[$CellContext`yaxisfunction$$], $CellContext`nofunc}, \
{$CellContext`nofunc, $CellContext`log, $CellContext`inverse}}, {{
         Hold[$CellContext`pset$$], True, "Full Parameter Set?"}, {
        True, False}}}, Typeset`size$$ = Automatic, Typeset`update$$ = 0, 
      Typeset`initDone$$, Typeset`skipInitDone$$ = 
      False, $CellContext`useclasses$49653$$ = 
      False, $CellContext`lowz$49654$$ = 0, $CellContext`highz$49655$$ = 
      0, $CellContext`whichclass$49656$$ = 0, $CellContext`fit$49657$$ = 
      False, $CellContext`plotrange$49658$$ = 
      False, $CellContext`xaxisfunction$49659$$ = 
      0, $CellContext`yaxisfunction$49660$$ = 0, $CellContext`pset$49661$$ = 
      False}, 
      DynamicBox[Manipulate`ManipulateBoxes[
       2, StandardForm, 
        "Variables" :> {$CellContext`fit$$ = False, $CellContext`highz$$ = 
          102, $CellContext`lowz$$ = 1, $CellContext`plotrange$$ = 
          Automatic, $CellContext`pset$$ = True, $CellContext`useclasses$$ = 
          False, $CellContext`whichclass$$ = "Natural", $CellContext`xaxis$$ = 
          "AtomicNumber", $CellContext`xaxisfunction$$ = $CellContext`nofunc, \
$CellContext`yaxis$$ = 
          "AtomicWeight", $CellContext`yaxisfunction$$ = $CellContext`nofunc},
         "ControllerVariables" :> {
          
          Hold[$CellContext`useclasses$$, $CellContext`useclasses$49653$$, 
           False], 
          Hold[$CellContext`lowz$$, $CellContext`lowz$49654$$, 0], 
          Hold[$CellContext`highz$$, $CellContext`highz$49655$$, 0], 
          Hold[$CellContext`whichclass$$, $CellContext`whichclass$49656$$, 0], 
          Hold[$CellContext`fit$$, $CellContext`fit$49657$$, False], 
          
          Hold[$CellContext`plotrange$$, $CellContext`plotrange$49658$$, 
           False], 
          
          Hold[$CellContext`xaxisfunction$$, \
$CellContext`xaxisfunction$49659$$, 0], 
          
          Hold[$CellContext`yaxisfunction$$, \
$CellContext`yaxisfunction$49660$$, 0], 
          Hold[$CellContext`pset$$, $CellContext`pset$49661$$, False]}, 
        "OtherVariables" :> {
         Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
          Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
          Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
          Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> 
        Module[{$CellContext`data$, $CellContext`lm$, $CellContext`subset$}, \
$CellContext`subset$ = If[$CellContext`useclasses$$, 
             ElementData[$CellContext`whichclass$$], 
             
             Range[$CellContext`lowz$$, $CellContext`highz$$]]; \
$CellContext`data$ = DeleteCases[
             Quiet[
              Map[Thread[
                
                ElementData[#, {$CellContext`xaxis$$, $CellContext`yaxis$$, 
                  "Symbol"}]]& , $CellContext`subset$]], 
             Condition[
              Pattern[$CellContext`x, 
               Blank[]], 
              Or[Head[
                 Part[$CellContext`x, 1]] == Missing, Head[
                 Part[$CellContext`x, 2]] == Missing]]]; 
          Part[$CellContext`data$, All, 1] = 
           If[$CellContext`xaxis$$ == "IonizationEnergies", 
             Map[First, 
              Part[$CellContext`data$, All, 1]], 
             Part[$CellContext`data$, All, 1]]; 
          Part[$CellContext`data$, All, 1] = $CellContext`xaxisfunction$$[
             Part[$CellContext`data$, All, 1]]; 
          Part[$CellContext`data$, All, 2] = 
           If[$CellContext`yaxis$$ == "IonizationEnergies", 
             Map[First, 
              Part[$CellContext`data$, All, 2]], 
             Part[$CellContext`data$, All, 2]]; 
          Part[$CellContext`data$, All, 2] = $CellContext`yaxisfunction$$[
             Part[$CellContext`data$, All, 2]]; $CellContext`lm$ = 
           If[$CellContext`fit$$, 
             LinearModelFit[
              
              Part[$CellContext`data$, All, {1, 
               2}], $CellContext`x, $CellContext`x]]; If[$CellContext`fit$$, 
            Plot[
             Normal[$CellContext`lm$], {$CellContext`x, 
              Min[
               Part[$CellContext`data$, All, 1]], 
              Max[
               Part[$CellContext`data$, All, 1]]}, Epilog -> Map[Tooltip[
                Point[
                 Part[$CellContext`data$, #, {1, 2}]], 
                Part[$CellContext`data$, #, 3]]& , 
               Range[
                Length[$CellContext`data$]]], 
             Frame -> {True, True, False, False}, 
             FrameLabel -> {$CellContext`xaxis$$, $CellContext`yaxis$$}, 
             PlotRange -> $CellContext`plotrange$$, Axes -> False, PlotLabel -> 
             StringJoin["y = ", 
               ToString[
                $CellContext`lm$["BestFit"], FormatType -> TraditionalForm], 
               "\n\!\(\*SuperscriptBox[\(R\), \(2\)]\):", 
               ToString[
                N[
                 $CellContext`lm$["RSquared"]]]], ImageSize -> 300, 
             BaseStyle -> (FontSize -> 12)], 
            ListPlot[
             Map[Tooltip[
               Part[$CellContext`data$, #, {1, 2}], 
               Part[$CellContext`data$, #, 3]]& , 
              Range[
               Length[$CellContext`data$]]], 
             Frame -> {True, True, False, False}, 
             FrameLabel -> {$CellContext`xaxis$$, $CellContext`yaxis$$}, 
             Filling -> Axis, PlotRange -> $CellContext`plotrange$$, Axes -> 
             False, ImageSize -> 300, BaseStyle -> (FontSize -> 12), 
             PlotLabel -> "\n"]]], "Specifications" :> {
          Tooltip[
           Style["Atom selection", 12, Bold], 
           "There are two modes of Z selection: select a Z range or use a \
class of compounds."], {{$CellContext`useclasses$$, False, "Use Classes?"}, {
           True, False}}, {{$CellContext`lowz$$, 1, "Smallest Z"}, 1, 
           Dynamic[$CellContext`highz$$ - 5], 1, Appearance -> {"Labeled"}, 
           Enabled -> Dynamic[
             Not[$CellContext`useclasses$$]]}, {{$CellContext`highz$$, 102, 
            "Largest Z"}, 
           Dynamic[$CellContext`lowz$$ + 5], 102, 1, Appearance -> "Labeled", 
           Enabled -> Dynamic[
             Not[$CellContext`useclasses$$]]}, {{$CellContext`whichclass$$, 
            "Natural", "Choose class"}, {
           "Natural", "SBlock", "PBlock", "DBlock", "FBlock", "AlkaliMetal", 
            "AlkalineEarthMetal", "Group13Elements", "Group14Elements", 
            "Group15Elements", "Chalcogen", "Halogen", "Period4Elements"}, 
           Enabled -> Dynamic[$CellContext`useclasses$$]}, Delimiter, 
          Tooltip[
           Style["Miscellaneous", 12, Bold], 
           "Choose whether or not to include a linear regression line.  Also, \
when some plots have 1 or two extraneous points, the Automatic mode ignores \
them."], {{$CellContext`fit$$, False, "Linear Fit?"}, {True, False}, 
           ControlPlacement -> 
           1}, {{$CellContext`plotrange$$, Automatic, "Plot Range?"}, {
           Automatic, All}, ControlPlacement -> 2}, 
          Row[{
            Manipulate`Place[1], "     ", 
            Manipulate`Place[2]}], Delimiter, 
          Tooltip[
           Style["Axis parameters and function to apply", 12, Bold], 
           "There are many parameters to choose from.  Unselecting 'Full \
parameter set' gives a list of 10 common parameters.  A log or inverse \
function can be applied to each axis.  Clicking on 'nofunc' gives the data as \
is."], {{$CellContext`xaxis$$, "AtomicNumber", "X Parameter"}, 
           Dynamic[
            
            If[$CellContext`pset$$, $CellContext`properties, \
$CellContext`partproperties]], ControlType -> 
           PopupMenu}, {{$CellContext`xaxisfunction$$, $CellContext`nofunc}, \
{$CellContext`nofunc, $CellContext`log, $CellContext`inverse}}, \
{{$CellContext`yaxis$$, "AtomicWeight", "Y Parameter"}, 
           Dynamic[
            
            If[$CellContext`pset$$, $CellContext`properties, \
$CellContext`partproperties]], ControlType -> 
           PopupMenu}, {{$CellContext`yaxisfunction$$, $CellContext`nofunc}, \
{$CellContext`nofunc, $CellContext`log, $CellContext`inverse}}, \
{{$CellContext`pset$$, True, "Full Parameter Set?"}, {True, False}}}, 
        "Options" :> {ContinuousAction -> False, ControlPlacement -> Bottom}, 
        "DefaultOptions" :> {}],
       SingleEvaluation->True],
      Deinitialization:>None,
      DynamicModuleValues:>{},
      Initialization:>({$CellContext`properties = {
           "AtomicNumber", "AtomicWeight", "AtomicRadius", "CovalentRadius", 
            "VanDerWaalsRadius", "IonizationEnergies", "ElectronAffinity", 
            "Electronegativity", "BrinellHardness", "BulkModulus", "Density", 
            "MohsHardness", "MolarVolume", "PoissonRatio", "ShearModulus", 
            "SoundSpeed", "ThermalConductivity", "ThermalExpansion", 
            "VickersHardness", "YoungModulus", "AbsoluteBoilingPoint", 
            "AbsoluteMeltingPoint", "CriticalPressure", "CriticalTemperature",
             "FusionHeat", "SpecificHeat", "VaporizationHeat", 
            "ElectricalConductivity", "MassMagneticSusceptibility", 
            "MolarMagneticSusceptibility", "Resistivity", 
            "VolumeMagneticSusceptibility", "CrustAbundance", 
            "HumanAbundance", "MeteoriteAbundance", "OceanAbundance", 
            "SolarAbundance", "UniverseAbundance", 
            "DiscoveryYear"}; $CellContext`partproperties = {
           "AtomicNumber", "AtomicRadius", "IonizationEnergies", 
            "ElectronAffinity", "Electronegativity", "Density", 
            "AbsoluteBoilingPoint", "AbsoluteMeltingPoint", 
            "UniverseAbundance", "DiscoveryYear"}; $CellContext`classes = {
           "Natural", "SBlock", "PBlock", "DBlock", "FBlock", "AlkaliMetal", 
            "AlkalineEarthMetal", "Group13Elements", "Group14Elements", 
            "Group15Elements", "Chalcogen", "Halogen", 
            "Period4Elements"}; $CellContext`nofunc[
            Pattern[$CellContext`x, 
             Blank[]]] := $CellContext`x; $CellContext`log[
            Pattern[$CellContext`x, 
             Blank[]]] := Log[10, $CellContext`x]; $CellContext`inverse[
            Pattern[$CellContext`x, 
             Blank[]]] := $CellContext`x^(-1); Null}; 
       Typeset`initDone$$ = True),
      SynchronousInitialization->True,
      UnsavedVariables:>{Typeset`initDone$$},
      UntrackedVariables:>{Typeset`size$$}], "Manipulate",
     Deployed->True,
     StripOnInput->False],
    Manipulate`InterpretManipulate[1]],
   Alignment->Center,
   ImageSize->500]}, {4,"\<\"Legal\"\>"->
  PanelBox[
   TagBox[GridBox[{
      {
       StyleBox["\<\"Who did this? How? and Why?\"\>",
        StripOnInput->False,
        FontSize->20,
        FontWeight->Bold]},
      {
       StyleBox["\<\"      BoB LeSuer; using Mathematica's FreeCDF; the tools \
were there.  I'm of the mindset that Chemistry is a far more tactile, visual \
and dynamic science than can be represented in a static textbook.\"\>",
        StripOnInput->False,
        FontSize->14]},
      {
       StyleBox["\<\"Can I use it?\"\>",
        StripOnInput->False,
        FontSize->20,
        FontWeight->Bold]},
      {
       StyleBox["\<\"      Yes, please do.  The activity is freely available \
for use.  Wolfram's FreeCDF licensing terms can be found at the link below.  \
I'm happy to share the code with anyone interested; simply contact me.\"\>",
        StripOnInput->False,
        FontSize->14]},
      {
       StyleBox["\<\"Links\"\>",
        StripOnInput->False,
        FontSize->20,
        FontWeight->Bold]},
      {
       StyleBox[
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{False->"\<\"Wolfram FreeCDF licensing terms\"\>", 
           True->
           
           StyleBox["\<\"Wolfram FreeCDF licensing terms\"\>", 
            "HyperlinkActive"]}, Dynamic[
            CurrentValue["MouseOver"]],
           BaseStyle->{"Hyperlink"},
           BaselinePosition->Baseline,
           FrameMargins->0,
           ImageSize->Automatic],
          BaseStyle->"Hyperlink",
          ButtonData->{
            URL[
            "Http://www.wolfram.com/cdf/adopting-cdf/licensing-options.html"],
             None},
          
          ButtonNote->
           "Http://www.wolfram.com/cdf/adopting-cdf/licensing-options.html"],
         Annotation[#, 
          "Http://www.wolfram.com/cdf/adopting-cdf/licensing-options.html", 
          "Hyperlink"]& ],
        StripOnInput->False,
        FontSize->14]},
      {
       StyleBox[
        TagBox[
         ButtonBox[
          PaneSelectorBox[{False->"\<\"My contact information\"\>", True->
           StyleBox["\<\"My contact information\"\>", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]],
           BaseStyle->{"Hyperlink"},
           BaselinePosition->Baseline,
           FrameMargins->0,
           ImageSize->Automatic],
          BaseStyle->"Hyperlink",
          ButtonData->{
            URL["http://www.csu.edu/chemistryandphysics/facultylesuer.htm"], 
            None},
          
          ButtonNote->
           "http://www.csu.edu/chemistryandphysics/facultylesuer.htm"],
         Annotation[#, 
          "http://www.csu.edu/chemistryandphysics/facultylesuer.htm", 
          "Hyperlink"]& ],
        StripOnInput->False,
        FontSize->14]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{1}}}],
    "Column"],
   ImageSize->500]}}, 1,
  ControlPlacement->Left,
  ImageSize->600]], "Output", "PluginEmbeddedContent"]
},
WindowSize->{604, 818},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 20371, 427, 818, "Output"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature xwDQC6f3TByrFAgbJSMroNcG *)
